if RAILS_ENV == "development"
  ActiveSupport::Dependencies.load_once_paths.reject!{|x| x =~ /^#{Regexp.escape(File.dirname(__FILE__))}/}
end

require "redmine"
require "rubygems"
require "dispatcher"
Dispatcher.to_prepare do 
  begin
    require_dependency "application"
  rescue LoadError
    require_dependency "application_controller"
  end

  IssuesController.send(:include, IssuesControllerPatch)
end

require_dependency "import_export/hooks"

RAILS_DEFAULT_LOGGER.info "Import & Export plugin for RedMine"

Redmine::Plugin.register :import_export do
  name "Import & Export plugin"
  url "http://ociotec.com/redmine/projects/show/import_export"
  author "Emilio González Montaña"
  author_url "http://ociotec.com"
  description "This is a plugin for Redmine that is used to import and export things in Redmine"
  version "0.1.0"
  requires_redmine :version_or_higher => "0.9.0"

  project_module :import_export do
    permission :import_issues, {:issues => [:import, :import_template]}
    permission :export_issues, {:issues => [:export]}
  end
end
